using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using OpenNETCF.Net.NetworkInformation;

namespace VerMac
{
    public partial class FormMain : Form
    {
        public FormMain()
        {
            InitializeComponent();
        }

        public void GetMacList()
        {

            //--> http://arjunachith.blogspot.com/2007/08/retrieving-mac-address-in-compact.html
            //--> http://www.opennetcf.com/LinkClick.aspx?fileticket=ZZBxc7fhnz4%3d&tabid=65&mid=959

            INetworkInterface[] adpcol = OpenNETCF.Net.NetworkInformation.NetworkInterface.GetAllNetworkInterfaces();
            textBoxMac.Text = "";
            if (adpcol.Length >= 1)
            {
                foreach (INetworkInterface adp in adpcol)
                {
                    textBoxMac.Text += adp.Name + "\r\n" + adp.CurrentIpAddress + "\r\n" + adp.GetPhysicalAddress().ToString() + "\r\n";
                    textBoxMac.Text += "-------------------------\r\n";                
                }
            }
            else
            {
                textBoxMac.Text = "No se encontraron adaptadores.";
            }

        }

        private void buttonActualizar_Click(object sender, EventArgs e)
        {
            this.GetMacList();
        }

        private void FormMain_Load(object sender, EventArgs e)
        {
            this.GetMacList();
        }

        private void menuItem1_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}